Commet
  • Pricing
Log InTry out
Create credit pack POSTDelete credit pack DELETEList credit packs GETPurchase credits POSTUpdate credit pack PUT
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Delete credit pack

Soft-delete a credit pack.

Create credit pack POST

Create a new credit pack.

List credit packs GET

List all active credit packs.

DELETE
/credit-packs/{id}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

curl -X DELETE "https://commet.co/api/v1/credit-packs/string"

Soft-delete a credit pack.

Credit pack public ID

{
  "success": true,
  "data": {
    "id": "string",
    "deleted": true
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}